!
!     Test program for cubic eos routines
!
      PROGRAM QTEST
      USE CUBIC_EOS
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
      DIMENSION Z(15),FUG(15),FUGT(15),FUGP(15),FUGX(15,15),AUX(10)
      DIMENSION LIST (15)
!
!     note: size of AUX must be at least 9
!
      LIST(1)  =  1
      LIST(2)  =  14
      LIST(3)  =  15
      Z(1) = .5D0
      Z(2) = .1D0
      Z(3) = .4D0
      T = 240.D0
      P = 5.D0
      CALL INI_CUB (3,1,LIST)
      CALL INI_CUB (3,1,LIST)
      CALL THERMO(6,1,IC,T,P,ZV,Z,FUG,FUGT,FUGP,FUGX,AUX)
      WRITE (*,101) FUG(1)
      WRITE (*,102) FUGP(1)
      WRITE (*,103) FUGT(1)
      WRITE (*,104) FUGX(1,1)
      WRITE (*,105) AUX(3)
      WRITE (*,106) AUX(5)
  101 FORMAT(' LN PHI(1) = ',F12.4)
  102 FORMAT(' P-DERIVAT = ',F12.6)
  103 FORMAT(' T-DERIVAT = ',F12.6)
  104 FORMAT('N1-DERIVAT = ',F12.6)
  105 FORMAT('Resid. H   = ',F12.4)
  106 FORMAT('Resid. Cp  = ',F12.6)
      END

